package com.bocloud.cmp.provider.azure.automation;

import com.bocloud.cmp.model.azure.automation.AutomationAccountModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AutoAccout
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 10:53
 */
public interface AutomationAccoutProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(AutomationAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(AutomationAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(AutomationAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

    //查询部署计划历史记录详情里的计算机更新运行状态
    default BocloudResult getStatusCounts(AutomationAccountModel model, String historicalRecordName) {
        return new BocloudResult(false, "need implement");
    }

    //查询部署计划历史记录详情里的计算机
    default BocloudResult softwareUpdateConfigurationMachineRuns(AutomationAccountModel model, String historicalRecordName) {
        return new BocloudResult(false, "need implement");
    }

    //查询云主机更新代理准备
    default BocloudResult hybridRunbookWorkerGroups(AutomationAccountModel model, String resourceId) {
        return new BocloudResult(false, "need implement");
    }

}